package com.google.android.play.core.a;

import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import com.google.android.play.core.b.b;
import com.google.android.play.core.install.a;
import com.google.android.play.core.tasks.p;

public final class q extends p<Void> {
    static {
        Covode.recordClassIndex(44092);
    }

    public q(s sVar, p<Void> pVar) {
        super(sVar, new b("OnCompleteUpdateCallback"), pVar);
    }

    public final void LIZIZ(Bundle bundle) {
        super.LIZIZ(bundle);
        if (bundle.getInt("error.code", -2) != 0) {
            this.LIZIZ.LIZIZ(new a(bundle.getInt("error.code", -2)));
        } else {
            this.LIZIZ.LIZ(null);
        }
    }
}
